Bug 765427 - (GLUSTER-3695) [glusterf-3.3.0qa14]: glusterd crashed when rebalance command was issued
[glusterf-3.3.0qa14]: glusterd crashed when rebalance command was issued
Status: CLOSED DUPLICATE of bug 765415
Product: GlusterFS
Classification: Community
Component: glusterd (Show other bugs)
pre-release
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: krishnan parthasarathi
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-05 03:05 EDT by Raghavendra Bhat
Modified: 2015-11-03 18:03 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Raghavendra Bhat 2011-10-05 03:05:45 EDT
Program terminated with signal 6, Aborted.
#0  0x00000030b8e30265 in raise () from /lib64/libc.so.6
(gdb) bt
#0  0x00000030b8e30265 in raise () from /lib64/libc.so.6
#1  0x00000030b8e31d10 in abort () from /lib64/libc.so.6
#2  0x00000030b8e296e6 in __assert_fail () from /lib64/libc.so.6
#3  0x00002aaaaaafd004 in glusterd_volume_rebalance_use_rsp_dict (rsp_dict=0x1c442f00)
    at ../../../../../xlators/mgmt/glusterd/src/glusterd-rpc-ops.c:1373
#4  0x00002aaaaaafd729 in glusterd3_1_commit_op_cbk (req=0x2aaaacf74298, iov=0x2aaaacf742d8, count=1, myframe=0x2ad4164ba5c4)
    at ../../../../../xlators/mgmt/glusterd/src/glusterd-rpc-ops.c:1539
#5  0x00002ad41557725e in rpc_clnt_handle_reply (clnt=0x1c44b540, pollin=0x1c458660) at ../../../../rpc/rpc-lib/src/rpc-clnt.c:789
#6  0x00002ad415577586 in rpc_clnt_notify (trans=0x1c44b860, mydata=0x1c44b570, event=RPC_TRANSPORT_MSG_RECEIVED, data=0x1c458660)
    at ../../../../rpc/rpc-lib/src/rpc-clnt.c:902
#7  0x00002ad4155739f3 in rpc_transport_notify (this=0x1c44b860, event=RPC_TRANSPORT_MSG_RECEIVED, data=0x1c458660)
    at ../../../../rpc/rpc-lib/src/rpc-transport.c:498
#8  0x00002aaaaae09ee3 in socket_event_poll_in (this=0x1c44b860) at ../../../../../rpc/rpc-transport/socket/src/socket.c:1675
#9  0x00002aaaaae0a425 in socket_event_handler (fd=9, idx=2, data=0x1c44b860, poll_in=1, poll_out=0, poll_err=0)
    at ../../../../../rpc/rpc-transport/socket/src/socket.c:1790
#10 0x00002ad41531f988 in event_dispatch_epoll_handler (event_pool=0x1c43c960, events=0x1c447c70, i=0)
    at ../../../libglusterfs/src/event.c:794
#11 0x00002ad41531fb8d in event_dispatch_epoll (event_pool=0x1c43c960) at ../../../libglusterfs/src/event.c:856
#12 0x00002ad41531fee7 in event_dispatch (event_pool=0x1c43c960) at ../../../libglusterfs/src/event.c:956
#13 0x000000000040784d in main (argc=1, argv=0x7fffac0e1968) at ../../../glusterfsd/src/glusterfsd.c:1592
(gdb) f 3
#3  0x00002aaaaaafd004 in glusterd_volume_rebalance_use_rsp_dict (rsp_dict=0x1c442f00)
    at ../../../../../xlators/mgmt/glusterd/src/glusterd-rpc-ops.c:1373
1373            GF_ASSERT (GD_OP_REBALANCE == op);
(gdb) p op
$1 = GD_OP_NONE
(gdb) p opinfo
$2 = {state = {state = GD_OP_STATE_DEFAULT, time = {tv_sec = 0, tv_usec = 0}}, pending_count = 0, brick_pending_count = 0, op_count = 0, 
  op = GD_OP_NONE, op_peers = {next = 0x0, prev = 0x0}, op_ctx = 0x0, req = 0x2aaaaad5804c, op_ret = 0, op_errno = 0, op_errstr = 0x0, 
  pending_bricks = {next = 0x2aaaaad56ad8, prev = 0x2aaaaad56ad8}}
(gdb)
Comment 1 krishnan parthasarathi 2011-10-06 00:16:29 EDT

*** This bug has been marked as a duplicate of bug 3683 ***

Note You need to log in before you can comment on or make changes to this bug.